Subject: Ticket Assigned - Article Feedback - How do I cancel my order?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 19 Mar 2022 16:17:32 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - How do I cancel my order? Feedback for:  How do I cancel my order? Dear, 
I’m trying to reach customer service!! I’ve placed an order and didn’t receive yet . 
So I’m trying to cancel and refund but it still processing since 5th March  
So I need a solution !!  
Been like 2 weeks !! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4040945